# frozen_string_literal: true

require 'sketchup.rb'
require 'extensions.rb'
module CURIC
  module SplitGeometry
    PLUGIN            = self
    PLUGIN_NAMESPACE  = 'Curic'
    PLUGIN_ID         = 'Split Geometry'
    PLUGIN_NAME       = "#{PLUGIN_NAMESPACE} #{PLUGIN_ID}"
    PLUGIN_VERSION    = '1.0.0'

    FILENAMESPACE = File.basename(__FILE__, '.*')
    PATH_ROOT     = File.dirname(__FILE__).freeze
    PATH          = File.join(PATH_ROOT, FILENAMESPACE).freeze

    unless file_loaded?(__FILE__)
      ex = SketchupExtension.new(PLUGIN_NAME, "#{FILENAMESPACE}/loader")
      ex.version     = PLUGIN_VERSION
      ex.copyright   = 'Curic © 2020–2022'
      ex.creator     = 'Vo Quoc Hai (curic4su@gmail.com)'
      ex.description = 'Split Geometry'
      Sketchup.register_extension(ex, true)
      PLUGIN_EX = ex
    end
  end
end

file_loaded(__FILE__)
